package com.gic.demo.project.web;

import com.gic.dubbo.util.DubboContextUtil;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ImportResource;

/**
 * Spring Boot Web 启动类
 *
 * @author zhurz
 */
@SpringBootApplication
@ImportResource(value = {
        "classpath*:gic-demo-init.xml",
        "classpath*:dubbo-setting.xml",
        "classpath*:dubbo-gic-demo-web.xml",
        "classpath*:spring-interceptor.xml"
})
public class Main {

    public static void main(String[] args) {
        ConfigurableApplicationContext context = SpringApplication.run(Main.class, args);
        DubboContextUtil.setApplicationContext(context);
    }

}